<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."articles_control/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."articles_control/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."articles_control/locale/English.php";
}

// Infusion general information
$inf_title = $locale['ac_001'];
$inf_description = $locale['ac_002'];
$inf_version = "0.11";
$inf_developer = "WEC_Admin";
$inf_email = "wechallenge@lycos.co.uk";
$inf_weburl = "http://wechallenge.tk/";

$inf_folder = "articles_control"; // The folder in which the infusion resides.
$inf_admin_image = ""; // Leave blank to use the default image.
$inf_admin_panel = ""; // The admin panel filename if required.

$inf_link_name = ""; // if not required replace $locale['xxx102']; with "";
$inf_link_url = ""; // The filename you wish to link to.
$inf_link_visibility = ""; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables = 0; // Number of new db tables to create or drop.
$inf_insertdbrows = 0; // Numbers rows added into created db tables.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

// Delete any items not required here.
$inf_newtable_[1] = "";
$inf_insertdbrow_[1] = "";
$inf_droptable_[1] = "";
$inf_deldbrow_[1] = "";

// Change of core tables below.
if (isset($_POST['infuse']) && isset($_POST['infusion'])) { 
$result = dbquery("ALTER TABLE ".$db_prefix."articles ADD (page_side_left tinyint( 1 ) unsigned NOT NULL default '1', page_side_right tinyint( 1 ) unsigned NOT NULL default '1')");
}

// Restore of core tables below.
else if (isset($defuse)) {
$result = dbquery("ALTER TABLE ".$db_prefix."articles DROP page_side_left");
$result = dbquery("ALTER TABLE ".$db_prefix."articles DROP page_side_right");
}
?>


